"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DynamoDataOperation", {
  enumerable: true,
  get: function get() {
    return _dynamoDataOperation.DynamoDataOperation;
  }
});
Object.defineProperty(exports, "ICoreEntityBaseModel", {
  enumerable: true,
  get: function get() {
    return _baseSchema.ICoreEntityBaseModel;
  }
});
Object.defineProperty(exports, "GenericDataError", {
  enumerable: true,
  get: function get() {
    return _errors.GenericDataError;
  }
});
Object.defineProperty(exports, "ISecondaryIndexDef", {
  enumerable: true,
  get: function get() {
    return _baseTypes.ISecondaryIndexDef;
  }
});
exports["default"] = void 0;

var _dynamoDataOperation = require("./core/dynamo-data-operation.js");

var _baseSchema = require("./core/base-schema.js");

var _errors = require("./helpers/errors.js");

var _baseTypes = require("./types/base-types.js");

var _default = DynamoDataOperation;
exports["default"] = _default;